> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download voice clone audio sample

> Downloads the WAV audio sample that was used to create the voice clone.



## OpenAPI

````yaml /openapi/voice-clones.yml get /voice_clones/{id}/sample
openapi: 3.1.0
info:
  title: Voice Clones API
  version: 2.0.0
  description: >-
    Capture and manage voice identities as clones for use in text-to-speech
    synthesis.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Voice Clones
    description: >-
      Capture and manage voice identities as clones for use in text-to-speech
      synthesis.
paths:
  /voice_clones/{id}/sample:
    get:
      tags:
        - Voice Clones
      summary: Download voice clone audio sample
      description: Downloads the WAV audio sample that was used to create the voice clone.
      operationId: getVoiceCloneSample
      parameters:
        - name: id
          in: path
          required: true
          description: The voice clone UUID.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: WAV audio sample binary.
          content:
            audio/wav:
              schema:
                type: string
                format: binary
        '401':
          description: Unauthorized — missing or invalid bearer token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/voice-designs_ErrorResponse'
        '404':
          description: Voice clone not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/voice-designs_ErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.voiceClones.downloadSample('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(response);


            const content = await response.blob();

            console.log(content);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.voice_clones.download_sample(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(response)
            content = response.read()
            print(content)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.VoiceClones.DownloadSample(context.TODO(), \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import com.telnyx.sdk.core.http.HttpResponse;

            import
            com.telnyx.sdk.models.voiceclones.VoiceCloneDownloadSampleParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    HttpResponse response = client.voiceClones().downloadSample("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.voice_clones.download_sample("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(response)
        - lang: CLI
          source: |-
            telnyx voice-clones download-sample \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  schemas:
    voice-designs_ErrorResponse:
      type: object
      description: Standard error response envelope.
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorObject'
      example:
        errors:
          - code: '10005'
            title: Resource not found
            detail: Voice design not found
    ErrorObject:
      type: object
      description: A single error object.
      properties:
        code:
          type: string
          description: Telnyx-specific error code.
        title:
          type: string
          description: Short, human-readable summary of the error.
        detail:
          type: string
          description: Detailed, human-readable explanation of the error.
        source:
          type: object
          description: Reference to the source of the error.
          properties:
            pointer:
              type: string
              description: A JSON Pointer (RFC 6901) to the field that caused the error.

````